## onLeftMouseUp

### Syntax:

    onLeftMouseUp (handlerFunction);

    onLeftMouseUp ();

### Purpose:

Tells the computer which function to call when the left mouse button is released. The value of handlerFunction must be a pointer to a function which takes no parameters. The function will be called every time the user releases the left mouse button until another call to onLeftMouseUp.

If no parameter is given, the program stops calling the current left mouse button release handler function. No function will be called when the user releases the left mouse button until another call to onLeftMouseUp tells it otherwise.

Note that only one handler for releasing the left mouse button can be used at any one time. A subsequent call to onLeftMouseUp will replace the current handler function.

### Return value:

No return value.

### See also:

Passing Functions as Variables

onFocusChange

onKeyboard

onLeftMouse

onMoveMouse

onRightMouse

onRightMouseUp

SLUDGE and this SLUDGE documentation are copyright Hungry Software and contributors 2000-2012